<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <h1>Juego de Dados</h1>
    <form>
         
        <input type="button" value="Haceme Click" onclick="init()"> 
        
        <p id="dado1">Dado 1
            <img src="img/dado_1.jpg" width="50" height="50">
        </p>
        <p id="dado2">Dado 2
            <img src="img/dado_1.jpg" width="50" height="50">
        </p>
        <p id="resultado">Resultado :</p>

    </form>

    <Script  >
/*
Hacer un juego de dados.
Existe un botón tirar.
Tenemos dos dados
Mostrar el resultado  de cada dado en pantalla.
Indicar cuál ganó.
*/
        var dado1=0
        var dado2=0
    function init(){
        
        dado1=jugardados1();
        //setTimeout(function(){ jugardados1() }, 1000);
        dado2=jugardados2();
        console.log(dado1);
        console.log(dado2);
        if(dado1 > dado2)  {
            document.getElementById("resultado").innerHTML=" El Dado 1 es Mayor al Dado 2 "
        }else if( dado1==dado2){
            document.getElementById("resultado").innerHTML=" El Dado 1 es igual al Dado 2 " 
        }else{
            document.getElementById("resultado").innerHTML=" El Dado 2 es Mayor al Dado 1 " 
        }
        
    }
    
    function jugardados1(){
        var arraydado1=["dado_1.jpg","dado_2.jpg","dado_3.jpg","dado_4.jpg","dado_5.jpg","dado_6.jpg"]
        var i = Math.floor(Math.random() * (arraydado1.length)); 
        dado1=i
        document.getElementById("dado1").innerHTML= "<img src =img/"+arraydado1[i]+ "  width=50 height=50>"
        return dado1+1
        
    }
    function jugardados2(){
        var arraydado1=["dado_1.jpg","dado_2.jpg","dado_3.jpg","dado_4.jpg","dado_5.jpg","dado_6.jpg"]
        var i = Math.floor(Math.random() * (arraydado1.length)); 
        dado2=i
        document.getElementById("dado2").innerHTML= "<img src =img/"+arraydado1[i]+ "  width=50 height=50>"
        return dado2+1
    }

    </Script>
</body>
</html>